summaryrefslogtreecommitdiffstats
path: root/pastebinit/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-03-13 20:30:25 +0000
committer Eric Hameleers <alien@slackware.com>2010-03-13 20:30:25 +0000
commit3b287956f6b430780abc9d3bb5be4f8b9b2b51f0 (patch)
treecb99bc3c74bb776388ffb19cc59ed0bda5f9b24e /pastebinit/build
parent3bdb789068fc8d7e6fdad003788df7b313184195 (diff)
downloadasb-3b287956f6b430780abc9d3bb5be4f8b9b2b51f0.tar.gz
asb-3b287956f6b430780abc9d3bb5be4f8b9b2b51f0.tar.xz
This way I can use it on Slackware 10.0 as well
Diffstat (limited to 'pastebinit/build')
-rwxr-xr-xpastebinit/build/pastebinit.SlackBuild13
1 files changed, 9 insertions, 4 deletions
diff --git a/pastebinit/build/pastebinit.SlackBuild b/pastebinit/build/pastebinit.SlackBuild
index fbdef925..46306eb0 100755
--- a/pastebinit/build/pastebinit.SlackBuild
+++ b/pastebinit/build/pastebinit.SlackBuild
@@ -118,23 +118,28 @@ echo "++"
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
-tar -xvf ${SOURCE}
+tar -zxvf ${SOURCE}
cd ${PRGNAM}-${VERSION}
+
+# Fix for the new pastebin.com API.
+cat $SRCDIR/pastebinit_pbc.diff | patch -p0 --verbose \
+ 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
echo Building ...
+install -d $PKG/{etc/pastebin.d,/usr/bin,/usr/share/locale,/usr/man/man1}
# Generate the language files:
make -C po
# Generate the manpage:
-xmlto --skip-validation man pastebinit.xml
+xmlto -o /usr/man/man1 --skip-validation man pastebinit.xml || true
# Install the files:
-install -d $PKG/{etc/pastebin.d,/usr/bin,/usr/share/locale,/usr/man/man1}
install -p pastebinit $PKG/usr/bin/pastebinit
cp -a pastebin.d/*.conf $PKG/etc/pastebin.d
cp -a po/mo/* $PKG/usr/share/locale
-gzip -9c pastebinit.1 > $PKG/usr/man/man1/pastebinit.1.gz
+find $PKG/usr/man -type f -exec gzip -9 {} \; || true
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION